Version 4.0.26.22 (latest)

### This feature is enabled only by special license.

This endpoint provides the private label configuration, which includes hiding documentation links, custom favicon uploading, etc.

This endpoint is deprecated. [Get Setting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/Config/get_setting) should be used to retrieve private label settings instead

## Request

GET /whitelabel_configuration Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... fields string Requested fields.

## Response

### 200: Private label configuration

Datatype Description (object) [WhitelabelConfiguration](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/WhitelabelConfiguration) id string Unique Id logo_file string Customer logo image. Expected base64 encoded data (write-only) logo_url string Logo image url (read-only) favicon_file string Custom favicon image. Expected base64 encoded data (write-only) favicon_url string Favicon image url (read-only) default_title string Default page title show_help_menu boolean Boolean to toggle showing help menus show_docs boolean Boolean to toggle showing docs show_email_sub_options boolean Boolean to toggle showing email subscription options. allow_looker_mentions boolean Boolean to toggle mentions of Looker in emails allow_looker_links boolean Boolean to toggle links to Looker in emails custom_welcome_email_advanced boolean Allow subject line and email heading customization in customized emails" setup_mentions boolean Remove the word Looker from appearing in the account setup page alerts_logo boolean Remove Looker logo from Alerts alerts_links boolean Remove Looker links from Alerts folders_mentions boolean Remove Looker mentions in home folder page when you don't have any items saved

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link